# -*- encoding : utf-8 -*-
class Portlet::PetitionContentsController < ApplicationController
  layout "admin"

  def new
    @petition_content = PetitionContent.new
    


    respond_to do |format|
      format.html {
        if request.xhr?
          render :layout => false
        end
      }
      format.js { render :template => "portlet/shared/new" }
    end
  end

  def create
    
    

    
    @petition_content = PetitionContent.new(params.require(:petition_content).permit!)
    
  

    respond_to do |format|
      if @petition_content.save
        
        
        @portlet = Portlet.create(:content => @petition_content)
        
        
        format.html { redirect_to([:admin, @portlet.block.blockable], :notice => 'Elément ajouté avec succès.') }
        format.js { render :template => "portlet/shared/create" }
      else
        format.html { render :action => "new" }
        format.js { render :template => "portlet/shared/new" }
      end
    end
  end

  def edit
    @petition_content = PetitionContent.find(params[:id])
    @portlet = @petition_content.portlet
    respond_to do |format|
      format.html {
        if request.xhr?
          render :template => "portlet/shared/edit", :layout => false
        end
      }
      format.js { render :template => "portlet/shared/edit" }
    end
  end
  
  



  def show
    @petition_content = PetitionContent.find(params[:id])
    @petition_lang = @petition.petition_langs.where(:lang_site_id => 1).first
  end

  def update
    @petition_content = PetitionContent.find(params[:id])
    @portlet = @petition_content.portlet
    

    
    
    
    respond_to do |format|
          if @petition_content.update_attributes(params.require(:petition_content).permit!)
      
    
            format.html { redirect_to([:admin, @portlet.block.blockable], :notice => 'Titre mis à jour.') }
        format.js { render :template => "portlet/shared/update" }
          else
            format.html { render :action => "portlet/shared/edit" } 
        format.js { render :template => "portlet/shared/edit" }
          end

    end
  end

  def destroy
    @portlet = Portlet.find(params[:portlet_id])
    @petition_content = PetitionContent.find(params[:id])
    @petition_content.destroy
    
    if @portlet.block and @portlet.block.blockable
      @portlet.block.blockable.updated_at = Time.now
      @portlet.block.blockable.save
      if @portlet.block.blockable_type == "Page"

        ##to_my_log("[Page_"+@portlet.block.blockable.id.to_s+"] "+"Modification de la page "+@portlet.block.blockable.title.to_s+" (suppression d'un portlet)")
      end
    end
    
    respond_to do |format|
      format.html {}
      format.js { render :template => "portlet/shared/destroy" }
    end
  end

 
end
